- libbson 1.13.1 »
- API Reference »
- bson_t

# bson_copy()

## Synopsis

    bson_t *
    bson_copy (const bson_t *bson);

## Parameters

- `bson`: A bson_t.

## Description

The bson_copy() function shall copy the contents of a bson document into a new bson_t.

The resulting bson_t should be freed with bson_destroy().

## Returns

A newly allocated bson_t that should be freed with bson_destroy().

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.